Update a driver profile
PUT
/drivers/{userId}
const url = 'https://example.com/drivers/example';const options = { method: 'PUT', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"usualVehicleId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","shiftStart":"07:30","shiftEnd":"07:30","breakMinutes":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/drivers/example \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "usualVehicleId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "shiftStart": "07:30", "shiftEnd": "07:30", "breakMinutes": 1 }'Only a usual vehicle. Who drives what on a given day is on the round, because drivers swap, cover each other and come in for one Saturday.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
usualVehicleId
UUID v7
string | null format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fshiftStart
string | null
Example
07:30shiftEnd
string | null
Example
07:30breakMinutes
integer | null
Responses
Section titled “Responses”Saved
Media typeapplication/json
object
userId
required
string
name
required
string
usualVehicleId
required
UUID v7
string | null format: uuid
usualVehicleName
required
string | null
shiftStart
required
string | null
shiftEnd
required
string | null
breakMinutes
required
integer | null
patchIds
required
Array<string>
updatedAt
required
string format: date-time
Example
{ "usualVehicleId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "shiftStart": "07:30", "shiftEnd": "07:30", "patchIds": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}